%define anolis_release 9
Name:           perl-Perl-MinimumVersion
Version:        1.40
Release:        %{anolis_release}%{?dist}
Summary:        Find a minimum required version of perl for Perl code
License:        GPL-1.0-or-later OR Artistic-1.0-Perl
URL:            https://metacpan.org/release/Perl-MinimumVersion
Source0:	https://cpan.metacpan.org/authors/id/D/DB/DBOOK/Perl-MinimumVersion-%{version}.tar.gz

BuildArch:      noarch

BuildRequires: make

BuildRequires: perl-generators
BuildRequires: perl(ExtUtils::MakeMaker) >= 6.30
# Run-time and tests:
BuildRequires: perl(Carp)
BuildRequires: perl(Exporter)
BuildRequires: perl(List::Util) >= 1.20
BuildRequires: perl(Params::Util) >= 0.25
BuildRequires: perl(Perl::Critic::Utils) >= 1.104
BuildRequires: perl(PPI) >= 1.215
BuildRequires: perl(PPI::Util)
BuildRequires: perl(PPIx::Utils)
BuildRequires: perl(PPIx::Regexp) >= 0.033
BuildRequires: perl(strict)
BuildRequires: perl(vars)
BuildRequires: perl(version) >= 0.76
BuildRequires: perl(warnings)
%if !%{defined perl_bootstrap}
BuildRequires: perl(File::Find::Rule) >= 0.32
BuildRequires: perl(File::Find::Rule::Perl) >= 1.04
BuildRequires: perl(File::Spec) >= 0.80
BuildRequires: perl(Getopt::Long)
BuildRequires: perl(Test::More) >= 0.47
BuildRequires: perl(Test::Script) >= 1.03
%endif

# Remove under-specified dependencies
%global __requires_exclude %{?__requires_exclude:%__requires_exclude|}^perl\\(version\\)$
%global __requires_exclude %{?__requires_exclude:%__requires_exclude|}^perl\\(Params::Util\\)$
%global __requires_exclude %{?__requires_exclude:%__requires_exclude|}^perl >= 0:5.005$

%description
Find a minimum required version of perl for Perl code

%package doc
Summary: Documentation files for %{name}
Requires: %{name} = %{EVR}

%description    doc
The %{name}-doc package contains documentation files for %{name}.

%prep
%setup -q -n Perl-MinimumVersion-%{version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor NO_PACKLIST=1 NO_PERLLOCAL=1
%{make_build}

%install
%{make_install}
%{_fixperms} $RPM_BUILD_ROOT/*

%check
%if !%{defined perl_bootstrap}
%{__make} test
%endif

%files
%license LICENSE
%{_bindir}/*
%{perl_vendorlib}/Perl
%{_mandir}/man?/*

%files doc
%doc Changes

%changelog
* Mon Feb 6 2023 Funda Wang <fundawang@yeah.net> - 1.40-9
- Import package for anolis 23
